summaryrefslogtreecommitdiffstats
path: root/desktop/ubuntulooks
diff options
context:
space:
mode:
author Andrew Brouwers <abrouwers@gmail.com>2010-05-11 14:03:47 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:03:47 +0200
commite0046f8735198521daa18a5a5efd9466b5bd69fe (patch)
tree2b015e51e6f26e218b1b34333a592c0385e5d6aa /desktop/ubuntulooks
parent1159643f0305d048149e87c67bda012239216688 (diff)
downloadslackbuilds-e0046f8735198521daa18a5a5efd9466b5bd69fe.tar.gz
slackbuilds-e0046f8735198521daa18a5a5efd9466b5bd69fe.tar.xz
desktop/ubuntulooks: Initial import
Diffstat (limited to 'desktop/ubuntulooks')
-rw-r--r--desktop/ubuntulooks/README3
-rw-r--r--desktop/ubuntulooks/slack-desc6
-rw-r--r--desktop/ubuntulooks/ubuntulooks.SlackBuild80
-rw-r--r--desktop/ubuntulooks/ubuntulooks.info8
-rw-r--r--desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gzbin0 -> 3643 bytes
5 files changed, 97 insertions, 0 deletions
diff --git a/desktop/ubuntulooks/README b/desktop/ubuntulooks/README
new file mode 100644
index 0000000000..887823bb4c
--- /dev/null
+++ b/desktop/ubuntulooks/README
@@ -0,0 +1,3 @@
+Ubuntulooks is the gtk2 engine used by the ubuntu. It can
+be used within a gtk environment, or set for a window manager
+with a tool such as gtk-chtheme.
diff --git a/desktop/ubuntulooks/slack-desc b/desktop/ubuntulooks/slack-desc
new file mode 100644
index 0000000000..e323aad19a
--- /dev/null
+++ b/desktop/ubuntulooks/slack-desc
@@ -0,0 +1,6 @@
+ubuntulooks: ubuntulooks (A gtk+2.0 Theme remiscent of a certain distro)
+ubuntulooks:
+ubuntulooks: Ubuntulooks is a very polished gtk2 engine for linux and used by
+ubuntulooks: the ubuntu project It can be used within a gtk environment, or
+ubuntulooks: set for a window manager with a tool such as gtk-chtheme.
+ubuntulooks:
diff --git a/desktop/ubuntulooks/ubuntulooks.SlackBuild b/desktop/ubuntulooks/ubuntulooks.SlackBuild
new file mode 100644
index 0000000000..ec2b8eb24f
--- /dev/null
+++ b/desktop/ubuntulooks/ubuntulooks.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for ubuntulooks.
+
+# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=ubuntulooks
+VERSION=0.9.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG=_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING INSTALL ChangeLog NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvfz $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Apply the patches from debian
+gunzip -c $CWD/${PRGNAM}_${VERSION}-4.diff.gz | patch -p1
+patch -p1 < debian/patches/01_fix_listview_arrows_drawing.patch
+patch -p1 < debian/patches/01_fix_tick_box_drawing.patch
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/ubuntulooks/ubuntulooks.info b/desktop/ubuntulooks/ubuntulooks.info
new file mode 100644
index 0000000000..2a0b454019
--- /dev/null
+++ b/desktop/ubuntulooks/ubuntulooks.info
@@ -0,0 +1,8 @@
+PRGNAM="ubuntulooks"
+VERSION="0.9.12-4"
+HOMEPAGE="http://packages.ubuntu.com/feisty/gnome/gtk2-engines-ubuntulooks"
+DOWNLOAD="http://archive.ubuntu.com/ubuntu/pool/main/u/ubuntulooks/ubuntulooks_0.9.12.orig.tar.gz"
+MD5SUM="5ba7d915abe31870103aab5847278d13"
+MAINTAINER="Andrew Brouwers"
+EMAIL="abrouwers@gmail.com"
+APPROVED="BP{k}"
diff --git a/desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gz b/desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gz
new file mode 100644
index 0000000000..9ee9cd4b58
--- /dev/null
+++ b/desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gz
Binary files differ